## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObjectFactory.hpp File Reference

Include dependency graph for XObjectFactory.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct XObjectFactory::DeleteXObjectFunctor
    A public functor for use with stl algorithms. More...
- class XObjectFactory
    This class handles the creation of XObjects and manages their lifetime. More...

## Defines

- #define XOBJECTFACTORY_HEADER_GUARD_1357924680

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XalanNode

## Define Documentation

#define XOBJECTFACTORY_HEADER_GUARD_1357924680

Value:

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XalanNode

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.